|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QImageWriter

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QImageWriter class reference

## Public Functions

QString | description () const `(obsolete)`
void | setDescription ( const QString & description ) `(obsolete)`

## Member Function Documentation

### QString QImageWriter::description () const

Use QImageReader::text() instead.

Returns the description of the image.

See also setDescription().

### void QImageWriter::setDescription ( const QString & description )

Use setText() instead.

This is an image format specific function that sets the description of the image to description. For image formats that do not support setting the description, this value is ignored.

The contents of description depends on the image format.

See also description().